Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000883Core InformExtensionspublic2012-03-17 13:382014-05-07 07:34
ReporterEmacsUser 
Assigned Tograham 
PrioritynormalSeveritycosmeticReproducibilityalways
StatusclosedResolutionfixed 
Platformx86OSMac OS XOS Version10.6
Product Version6G60 
Target VersionFixed in Version6L02 
Summary0000883: Problem message for translations that are not quoted I6 identifiers leaves out some source text
DescriptionWhile checking that entries in Global_Vars can't be given extra I7 aliases, I came across the problem message

- - - -
Problem. You wrote 'Bar translates into I6 as (- Global_Vars-->0 ' : but Inform 7 constructions can only translate into quoted I6 identifiers, which must be strings of 1 to 31 characters drawn from 1, 2, ..., 9, a or A, b or B, ..., z or Z, or underscore '_', except that the first character is not allowed to be a digit.
- - - -

in which the quoted source text shortchanges the author one smiley cyclops.
Minimal Source Text To Reproduce
There is a room.
Foo is a number that varies.
Bar is a number that varies.
Bar translates into I6 as (- Global_Vars-->0 -).
TagsNo tags attached.
Effect(cosmetic) Error message is badly worded
Attached Files

- Relationships

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-03-17 13:38 EmacsUser New Issue
2012-06-20 07:58 curiousdannii Status new => confirmed
2014-01-18 08:45 graham Status confirmed => resolved
2014-01-18 08:45 graham Resolution open => fixed
2014-01-18 08:45 graham Assigned To => graham
2014-05-07 07:34 jmcgrew Fixed in Version => 6L02
2014-05-07 07:34 jmcgrew Status resolved => closed


Copyright © 2000 - 2010 MantisBT Group
Powered by Mantis Bugtracker